# $Revision: 1.174 $, $Date: 2010/08/27 13:44:11 $
# TODO: consider lua51

# Conditional build:
%bcond_with	gnutls		# Enable GNUTLS SSL support (disables openssl)
%bcond_with	lzma		# Enable lzma support
%bcond_with	python		# Enable Python scripting support
%bcond_with	ruby		# Enable (experimental) Ruby scripting support
%bcond_with	smb		# Enable smb protocol support (smb requires libsmbclient)
#The latest libsmbclient is GPLv3, while ELinks is GPL v2 only.
%bcond_with	verbose		# verbose build (V=1)
%bcond_with	x		# Use the X Window System
%bcond_without	256		# Disable 256 colors support
%bcond_without	bittorrent	# Disable BitTorrent support
%bcond_without	cgi		# Disable Local CGI support
%bcond_without	fsp		# Disable FSP support
%bcond_without	guile		# Disable Guile scripting
%bcond_without	idn		# Disable Internation Domain Names support
%bcond_without	ipv6		# Disable IPv6 support
%bcond_without	js		# Disable experimental (yet quite usable) JavaScript support (using SpiderMonkey)
%bcond_without	led		# Disable LEDs
%bcond_without	lua		# Disable Lua scripting
%bcond_without	openssl		# Disable OpenSSL support
%bcond_without	perl		# Disable Perl scripting

%if %{with gnutls}
%undefine	with_openssl
%endif

%define		subver	pre5
%define		rel		4
Summary:	Experimantal Links (text WWW browser)
Summary(es.UTF-8):	El links es un browser para modo texto, similar a lynx
Summary(pl.UTF-8):	Eksperymentalny Links (tekstowa przeglądarka WWW)
Summary(pt_BR.UTF-8):	O links é um browser para modo texto, similar ao lynx
Name:		elinks
Version:	0.12
Release:	0.%{subver}.%{rel}
Epoch:		1
License:	GPL v2
Group:		Applications/Networking
Source0:	http://www.elinks.cz/download/%{name}-%{version}%{subver}.tar.bz2
# Source0-md5:	92790144290131ac5e63b44548b45e08
Source1:	%{name}.desktop
Source2:	links.png
Patch0:		%{name}-home_etc.patch
Patch1:		%{name}-lua40.patch
Patch2:		%{name}-date-format.patch
Patch3:		%{name}-old_incremental.patch
Patch4:		%{name}-fbterm.patch
URL:		http://www.elinks.cz/
BuildRequires:	autoconf >= 2.61
BuildRequires:	automake
BuildRequires:	bzip2-devel
BuildRequires:	expat-devel
%{?with_fsp:BuildRequires:	fsplib-devel}
BuildRequires:	gettext-devel
%{?with_gnutls:BuildRequires:	gnutls-devel >= 1.2.5}
BuildRequires:	gpm-devel
%{?with_guile:BuildRequires: guile-devel}
%{?with_js:BuildRequires:	js-devel >= 1.5-0.rc6a.1}
%{?with_idn:BuildRequires:	libidn-devel}
%{?with_smb:BuildRequires:	libsmbclient-devel}
%{?with_lua:BuildRequires:	lua50-devel}
%{?with_lzma:BuildRequires:	lzma-devel}
BuildRequires:	ncurses-devel >= 5.1
%{?with_openssl:BuildRequires:	openssl-devel >= 0.9.7d}
%{?with_perl:BuildRequires:	perl-devel}
BuildRequires:	pkgconfig
%{?with_python:BuildRequires:	python-devel}
%{?with_ruby:BuildRequires:	ruby-devel}
BuildRequires:	tre-devel
BuildRequires:	which
BuildRequires:	zlib-devel
Suggests:	mailcap
Provides:	webclient
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sysconfdir	/etc/elinks
%define		specflags_ia32	-fomit-frame-pointer

%description
This is the elinks tree - intended to provide feature-rich version of
links, however not rock-stable and dedicated mainly for testing. Its
purpose is to make alternative to links, until Mikulas will have some
time to maintain it, and to test and tune various patches for Mikulas
to be able to include them in the official links releases.

%description -l es.UTF-8
Links es un browser WWW modo texto, similar al Lynx. El links muestra
tablas, hace baja archivos en segundo plano, y usa conexiones HTTP/1.1
keepalive.

%description -l pl.UTF-8
Bogata w opcje i możliwości wersja tekstowej przeglądarki WWW - links.
elinks jednak jest dedykowana głównie do testowania.

%description -l pt_BR.UTF-8
Links é um browser WWW modo texto, similar ao Lynx. O Links exibe
tabelas, baixa arquivos em segundo plano, e usa as conexões HTTP/1.1
keepalive.

%prep
%setup -q -n %{name}-%{version}%{subver}
%patch0 -p1
%patch1 -p1
%patch2 -p1
# restores old behaviour of type-ahead search
#%patch3 -p1
%patch4 -p1

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%configure \
	%{?with_smb:--enable-smb} \
	--disable-no-root \
	%{!?debug:--enable-fastmem} \
	%{?debug:--enable-debug} \
	%{!?with_ipv6:--disable-ipv6} \
	%{?with_bittorrent:--enable-bittorrent} \
	%{?with_cgi:--enable-cgi} \
	--enable-finger \
	--enable-gopher \
	--enable-nntp \
	%{?with_256:--enable-256-colors} \
	--enable-exmode \
	%{?with_fsp:--enable-fsp} \
	%{?with_leds:--enable-leds} \
	--enable-marks \
	--enable-html-highlight \
	%{!?with_idn:--without-idn} \
	%{?with_guile:--with-guile} \
	%{?with_perl:--with-perl} \
	%{!?with_lua:--without-lua} \
	%{?with_python:--with-python} \
	%{?with_ruby:--with-ruby} \
	%{!?with_js:--without-spidermonkey} \
	%{?with_gnutls:--with-gnutls} \
	%{!?with_openssl:--without-openssl} \
	--with%{!?with_x:out}-x \
	%{!?with_lzma:--without-lzma}
# xterm -e is default, one might want to change it to
# something else
#	--with-xterm="xterm -e"

%{__make} %{?with_verbose:V=1}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_desktopdir} \
	$RPM_BUILD_ROOT%{_datadir}/%{name} \
	$RPM_BUILD_ROOT{%{_sysconfdir},%{_pixmapsdir}}

%{__make} install %{?with_verbose:V=1} \
	DESTDIR=$RPM_BUILD_ROOT

rm $RPM_BUILD_ROOT%{_datadir}/locale/locale.alias

cp -a %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}
cp -a %{SOURCE2} $RPM_BUILD_ROOT%{_pixmapsdir}/%{name}.png

%{?with_lua:install contrib/lua/*.lua $RPM_BUILD_ROOT%{_sysconfdir}}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS BUGS ChangeLog NEWS README SITES TODO doc/html/*.html
%doc contrib/{keybind*,wipe-out-ssl*,lua/elinks-remote} contrib/conv/{*awk,*.pl,*.sh}
%attr(755,root,root) %{_bindir}/elinks
%{_mandir}/man1/elinks.1*
%{_mandir}/man5/elinks.conf.5*
%{_mandir}/man5/elinkskeys.5*
%{_desktopdir}/elinks.desktop
%{_pixmapsdir}/elinks.png
%if %{with lua}
%dir %{_sysconfdir}
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/*.lua
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: elinks.spec,v $
Revision 1.174  2010/08/27 13:44:11  glen
- adapter friendly macros, file perms, file-cleanup

Revision 1.173  2010/06/16 20:59:25  qboosh
- more verbose files, ac version

Revision 1.172  2010/06/06 00:39:31  radek
- release .4

Revision 1.171  2010/04/11 09:05:51  arekm
- rel .3

Revision 1.170  2009/12/31 10:06:01  arekm
- rel .2

Revision 1.169  2009/11/27 02:03:22  sparky
- BR: pkgconfig, which

Revision 1.168  2009/07/08 17:32:50  witekfl
- up to 0.12pre5

Revision 1.167  2009/06/01 13:06:29  witekfl
- ELinks is GPL v2 only, while the current samba is GPL v3,
  so the smb support is disabled by default.

Revision 1.166  2009/05/31 12:12:46  witekfl
- up to 0.12pre4

Revision 1.165  2009/03/29 14:08:52  witekfl
- up to 0.12pre3
- BR: tre-devel for wide chars regex search
- added the fbterm.patch

Revision 1.164  2009/03/13 21:49:15  hawk
- release 2

Revision 1.163  2008/09/21 19:21:23  witekfl
- up to 0.12pre2

Revision 1.162  2008/08/22 09:15:51  gotar
- added (commented out) old_incremental patch, sorted bconds

Revision 1.161  2008/08/10 16:37:30  arekm
- rel .3

Revision 1.160  2008/07/01 17:08:04  witekfl
- patches updated
- rel .2

Revision 1.159  2008/07/01 13:33:12  witekfl
- version 0.12 not 0.12.0

Revision 1.158  2008/07/01 13:18:58  witekfl
- up to 0.12pre1 (this version supports quite well UTF-8)
- added two bconds lzma and smb
- patches home_etc.patch and date-format must be updated

Revision 1.157  2008/06/27 09:44:51  arekm
- release 2

Revision 1.156  2008/06/21 17:51:39  adamg
- BR: python-devel

Revision 1.155  2008/06/21 16:03:19  witekfl
- added the python bcond.

Revision 1.154  2008/06/21 08:21:19  adamg
- updated to 0.11.4
- verbose bcond (V=1)

Revision 1.153  2008/06/14 10:16:58  arekm
- rel .1

Revision 1.152  2008-06-07 08:35:13  gotar
- S: mailcap

Revision 1.151  2008-05-12 16:59:54  witekfl
- up to 0.11.4rc1 (this is marked as the latest stable
  at the ELinks's website).

Revision 1.150  2008-03-16 21:05:36  witekfl
- added the mailcap_DISPLAY.patch

Revision 1.149  2008-03-13 14:30:17  witekfl
- added the chunked.patch
- rel 7

Revision 1.148  2008-02-24 13:24:36  glen
- release 6

Revision 1.147  2008-02-08 14:39:21  arekm
- rel 5

Revision 1.146  2007-12-15 00:42:41  qboosh
- added pl.po patch (use proper Polish word "uwierzytelnianie" for authn)

Revision 1.145  2007-12-02 01:13:25  qboosh
- justify_date patch replaced by date-format patch (use localized date format)
- release 4

Revision 1.144  2007-06-19 16:08:09  witekfl
- added two patches
- rel 3

Revision 1.143  2007/05/16 16:26:05  witekfl
- added bug517.patch
- Release 2

Revision 1.142  2007/04/18 08:28:32  qboosh
- updated to 0.11.3
- removed obsolete pl.po-update,bug899 patches

Revision 1.141  2007/02/12 21:23:54  glen
- tabs in preamble

Revision 1.140  2007/02/12 00:48:47  baggins
- converted to UTF-8

Revision 1.139  2007/01/01 22:27:16  arekm
- rel 3

Revision 1.138  2006/12/15 22:50:17  adamg
- fix bug #899 (elinks fails to display files of size larger than 2 GB but
  smaller than 4 GB in ftp listing)
- bcond for FSP support
- release 2

Revision 1.137  2006/12/05 19:39:49  adamg
- todo done

Revision 1.136  2006/12/05 16:57:47  qboosh
- todo: some misspellings

Revision 1.135  2006/11/19 17:59:53  adamg
- note to previous changelog entry

Revision 1.134  2006/11/19 17:51:13  adamg
- updated to 0.11.2 (fixes CVE-2006-5925)
  (note: it is 'fixed' by disabling smb support)

Revision 1.133  2006/11/07 22:23:36  glen
- do not list %{_desktopdir}/* -- dangerous, could list directories unexpectedly

Revision 1.132  2006/08/23 10:34:41  wrobell
- rel. 4 to rebuild with new guile (th)

Revision 1.131  2006/08/05 19:35:14  wolf
- rel 3

Revision 1.130  2006/04/29 16:12:48  witekfl
- removed unnecessary doc bcond
- html docs incorporate all txt files, hence only *.html are packaged
- there is no need for both chunked and all-in-one versions of manual
- only single manual.html is packaged
- rel 2

Revision 1.129  2006/04/19 14:21:38  sparky
- added without doc bcond

Revision 1.128  2006/01/31 12:49:57  witekfl
- BR: fsplib-devel

Revision 1.127  2006/01/29 16:08:48  adamg
- updated to 0.11.1
- pl.po-update patch updated
- enable native support for FSP

Revision 1.126  2006/01/10 22:59:08  qboosh
- updated lua40 patch to use lua50 (as elinks no longer supports lua 4.0)
- updated pl.po-update patch (real pl.po update for 0.11.0)
- fixed bcond typo which disabled bittorrent support

Revision 1.125  2006/01/10 20:47:35  twittner
- never again `[[][36mCC[][0;10m]' in buildlogs - pass `V=1' to make to
  avoid "colorization"

Revision 1.124  2006/01/10 18:26:08  adamg
- updated to 0.11.0
- enable document marks support
- added support for ruby scripting (off by default, still experimental)
  and bittorrent (enabled, seems stable and carries no additional
  dependencies)
- switched to elinks.cz domain
- locale_names.patch (nb/no hack) no longer required
- pl_po.patch updated
- srcdir.patch added (hotfix for a last-minute change that broke builds)
- release 1

Revision 1.123  2005/09/20 22:50:37  qboosh
- added pl.po-update patch

Revision 1.122  2005/09/15 14:52:31  adamg
- updated to 0.10.6

Revision 1.121  2005/07/11 16:42:21  arekm
- BR gnutls >= 1.2.5

Revision 1.120  2005/05/11 18:18:44  adamg
- release 2 for Th

Revision 1.119  2005/05/04 19:16:24  adamg
- updated to 0.10.5
- dropped lua40-fix.patch, commented out pl.po
- enable javascript support by default (should be quite usable)

Revision 1.118  2005/04/14 16:50:32  qboosh
- added pl.po-update patch

Revision 1.117  2005/04/07 13:29:00  adamg
- updated to 0.10.4
- added -lua40-fix.patch (lua4 doesn't have lua_pushboolean())

Revision 1.116  2005/03/11 14:44:21  arekm
- disable --enable-no-root

Revision 1.115  2005/03/01 19:43:00  adamg
- updated to 0.10.3

Revision 1.114  2005/02/04 18:58:22  qboosh
- don't BR samba-client to build smb-capable elinks

Revision 1.113  2005/02/02 15:17:53  adamg
- add --without smb bcond

Revision 1.112  2005/02/02 15:14:29  adamg
- updated to 0.10.2

Revision 1.111  2005/01/19 22:08:37  adamg
- drop unnecessary configure option

Revision 1.110  2005/01/16 20:42:56  areq
- fix without x

Revision 1.109  2005/01/10 23:18:48  gotar
- --disable-no-root - PLD is not for idiots

Revision 1.108  2005/01/08 15:34:06  qboosh
- cosmetics

Revision 1.107  2005/01/04 18:56:49  adamg
- updated to 0.10.1
- dropped pl_po.patch
- restored some lost updates
- release 1

Revision 1.106  2005/01/04 18:52:52  adamg
- merge from DEVEL (to be reviewed)

Revision 1.93.2.16  2004/12/24 22:43:52  adamg
- updated to 0.10.0 (final) - to be merged with HEAD soon

Revision 1.93.2.15  2004/12/24 21:55:36  adamg
- removed debug stuff

Revision 1.93.2.14  2004/12/24 21:50:53  adamg
- when building with gnutls, disable with_openssl

Revision 1.93.2.13  2004/12/23 13:41:27  adamg
- updated to 0.10rc3

Revision 1.93.2.12  2004/12/20 00:39:44  adamg
- updated to 0.10rc2

Revision 1.93.2.11  2004/12/16 10:20:44  adamg
- updated BuildRequires for js-devel

Revision 1.93.2.10  2004/12/15 23:01:57  adamg
- tidying up bcond stuff, (alphabetical order, more readable syntax in
  configure call in %build)

Revision 1.93.2.9  2004/12/15 22:38:19  adamg
- updated configure parameter for js support

Revision 1.93.2.8  2004/12/15 21:58:40  adamg
- updated to 0.10rc1
- lua40.patch updated
- added pl_po.patch

Revision 1.93.2.7  2004/11/06 11:43:48  adamg
- updated to 0.10pre3

Revision 1.93.2.6  2004/11/01 11:08:42  witekfl
- BR: tetex
- BR: libidn-devel

Revision 1.93.2.5  2004/10/24 21:38:06  paladine
- spelling fix, uppercases, etc.

Revision 1.93.2.4  2004/10/21 17:36:01  adamg
- add experimental javascript support

Revision 1.93.2.3  2004/09/30 20:04:36  adamg
- updated to 0.10pre2
- removed configure_in.patch
- build with html syntax highlighting feature

Revision 1.93.2.2  2004/09/12 14:45:39  adamg
- get rid of dependency on /usr/bin/lua

Revision 1.93.2.1  2004/09/12 14:36:34  adamg
- started updated to 0.10.x series
- added configure_in.patch
- new configure options: enable support for gopher, nntp, exmode
- support for perl and guile scripting

Revision 1.105  2005/01/03 22:52:26  qboosh
- release 0.1 due to unfinished upgrade (more done on DEVEL)

Revision 1.104  2004/12/31 13:08:42  charles
- updated to 0.10.0
- removed locale_names.patch (fix by sed)
- BR sed >= 4.0

Revision 1.103  2004/12/10 23:25:19  ankry
- rel. 2

Revision 1.102  2004/11/12 20:13:15  adamg
- updated to 0.9.3

Revision 1.101  2004/11/05 23:55:40  qboosh
- added content-type patch (fix crash on empty CT, add CT to uploads)
- dropped Source0-size, release 2

Revision 1.100  2004/10/17 07:41:18  paszczus
- massive attack: added Source0-size

Revision 1.99  2004/10/16 06:22:28  paladine
- www->WWW

Revision 1.98  2004/10/12 21:08:42  qboosh
- removed bogus _ver define

Revision 1.97  2004/09/26 19:55:04  ankry
- spaces -> tabs

Revision 1.96  2004/09/26 17:56:58  witekfl
- update to 0.9.2

Revision 1.95  2004/09/12 23:50:59  gotar
- %{?with_lua:lua_related_things}

Revision 1.94  2004/09/12 15:00:48  witekfl
- BR: tetex instead of /usr/bin/texi2html for simplicity

Revision 1.93  2004/09/11 16:42:51  adamg
- updated to 0.9.2rc7

Revision 1.92  2004/08/22 14:33:11  adamg
- updated to 0.9.2rc4

Revision 1.91  2004/07/25 22:45:27  ankry
- no -> nb (-locale_names patch), rel. 5

Revision 1.90  2004/06/20 21:36:37  arekm
- fix specflags (quotation here is buggy)

Revision 1.89  2004/03/28 17:44:36  wolf
- require cooperative lua40
- rel 4

Revision 1.88  2004/03/28 05:48:56  witekfl
- fixed hooks.lua
- added bcond without_lua
- rel 3

Revision 1.87  2004/03/19 23:46:24  ankry
- massive change: BR openssl-devel >= 0.9.7d

Revision 1.86  2004/02/12 21:25:14  gotar
- fixed bconds, release 2

Revision 1.85  2004/01/25 19:20:51  qboosh
- removed external feature.h - already in sources

Revision 1.84  2004/01/24 16:41:04  adamg
- updated to 0.9.1
- updated pl.po.patch

Revision 1.83  2004/01/18 00:46:05  adamg
- updated to 0.9.1rc2

Revision 1.82  2004/01/09 21:06:27  adamg
- added some bconds (with: x, without: cgi, ipv6, led, 256)
- removed obsolete configure options(--enable-leds, --enable-256-colors)

Revision 1.81  2004/01/09 14:31:05  adamg
- updated to 0.9.1rc1
- updated -pl.po.patch
- added missing feature.h file (pulled out from CVS)

Revision 1.80  2003/12/25 14:47:13  qboosh
- one more fix in pl.po patch, release 1

Revision 1.79  2003/12/25 11:59:58  adamg
- updated to 0.9.0 (0.5rc4 + minor fixes)

Revision 1.78  2003/12/24 14:06:09  qboosh
- updated to 0.5rc4, updated pl.po patch

Revision 1.77  2003/12/24 09:44:01  adamg
- updated to 0.5rc3

Revision 1.76  2003/12/23 16:40:58  adamg
- updated to 0.5rc1

Revision 1.75  2003/12/13 13:53:08  adamg
- updated to 0.5pre12

Revision 1.74  2003/12/10 00:01:25  qboosh
- updated to 0.5pre11 (leds can be disabled now, SEGV on exit seems fixed)

Revision 1.73  2003/12/02 12:03:47  qboosh
- added va-alpha patch (portability fix - don't use NULL for va_list)
- release .2

Revision 1.72  2003/11/22 18:00:58  gotar
- _applnkdir -> _desktopdir

Revision 1.71  2003/11/21 23:51:40  qboosh
- updated pl.po patch (few fuzzy entries)

Revision 1.70  2003/11/20 04:46:25  witekfl
- update to pre10
- removed libtool from BR

Revision 1.69  2003/10/25 04:50:22  witekfl
- added home_etc.patch with support for $HOME_ETC

Revision 1.68  2003/10/24 09:22:20  gotar
- BR: libtool,
- enable leds.

Revision 1.67  2003/10/19 18:28:52  qboosh
- removed obsolete palette patch, updated pl.po patch

Revision 1.66  2003/10/16 02:18:56  witekfl
- update to pre7 STBR
- added BR: gettext-devel
- enabled 256 colors
- enable-debug for debug

Revision 1.65  2003/10/02 17:49:16  grzegol
- updated md5

Revision 1.64  2003/10/02 16:54:29  qboosh
- up to 0.5pre6
- updated pl.po patch, removed obsolete http-host patch
- added palette patch (missing palette.inc file - copied from old color.c)

Revision 1.63  2003/09/30 20:18:21  eothane
- ahh, what the hell: openssl 0.9.7c

Revision 1.62  2003/09/26 10:32:09  domelu
- up to 0.5pre5

Revision 1.61  2003/08/03 00:39:09  qboosh
- added http-host patch (Host header fix for URI containing ':' after host part)
- release .2

Revision 1.60  2003/07/27 18:21:16  qboosh
- up to 0.5pre4
- added pl.po patch (killing fuzzy, some typos and standardizations)

Revision 1.59  2003/07/08 17:20:58  blues
- next part of small fixes inpired by kloczek :)

Revision 1.58  2003/06/28 19:36:24  gotar
- -fomit-frame-pointer on ia32

Revision 1.57  2003/06/21 21:17:57  grzegol
- changelogs are back

Revision 1.56  2003/06/21 21:14:50  grzegol
- updated md5

Revision 1.55  2003/06/21 21:09:40  grzegol
- merged from DEVEL
- updated to 0.5pre1

Revision 1.54  2003/05/26 16:24:56  malekith
- massive attack: adding Source-md5

Revision 1.53  2003/05/25 05:47:06  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.52  2003/05/07 10:09:06  qboosh
- noted download URL

Revision 1.51  2003/04/24 23:04:32  gotar
- no more optimizations

Revision 1.50  2003/04/24 22:32:06  gotar
- errr...

Revision 1.48  2003/04/24 14:24:55  gotar
- -Os -fomit-frame-pointer

Revision 1.47  2003/02/13 14:02:03  juandon
- force to use openssl >= 0.9.7, idea by kloczek

Revision 1.46  2003/01/27 10:38:23  qboosh
- removed /etc dir from package, use %%config only for files

Revision 1.45  2003/01/27 10:23:19  juandon
- update to version 0.4.2

Revision 1.44  2003/01/11 02:06:18  kloczek
- cleanups and merge translations from Conectiva.

Revision 1.43  2003/01/01 16:03:55  juandon
- update to 0.4.1
- removed obsolete patch
- --enable-fastmem

Revision 1.42  2002/12/24 20:46:47  juandon
- added decompress4.patch
- Release 2

Revision 1.41  2002/12/24 12:32:09  juandon
- update to 0.4.0 (Iceberg)
- added BR: expat-devel
- removed patch (now in sources)
- commented out some macros
- Merry Christmas and Happy New Year!

Revision 1.40  2002/12/24 00:13:10  qboosh
- 0.4.0rc4
- added pl-update patch (sent to pasky)

Revision 1.39  2002/12/16 17:58:29  grzegol
- updated to 0.4pre25

Revision 1.38  2002/12/03 08:07:59  juandon
- more lua scripts installed
- generated html version of elinks-lua.texi
- Release 2

Revision 1.37  2002/12/02 09:44:30  juandon
- added missing file to %doc

Revision 1.36  2002/12/02 08:05:52  juandon
- upgrade to 0.4pre21

Revision 1.35  2002/11/30 16:17:26  juandon
- fixed %doc
- Release 1

Revision 1.34  2002/11/30 16:01:20  juandon
- upgrade to pre20

Revision 1.33  2002/11/29 23:58:01  juandon
- fixed %doc
- Release 2

Revision 1.32  2002/11/29 23:24:50  juandon
- removed applying of patches
- Release 1

Revision 1.31  2002/11/29 23:19:49  juandon
- upgrade to pre19
- patches 0,1,2 are no longer needed

Revision 1.30  2002/11/01 13:18:40  malekith
- s/lua-devel/lua40-devel/; release 2

Revision 1.29  2002/10/09 14:16:05  juandon
- updated to 0.4pre18

Revision 1.28  2002/10/09 13:14:20  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.27  2002/09/29 19:24:38  juandon
- added gzip_fallback patch
- Rel 2

Revision 1.26  2002/09/12 20:19:55  grzegol
- updated to 0.4pre17

Revision 1.25  2002/09/04 09:31:46  qboosh
- added pl-fixes patch - fixes for some typos etc. in pl translation
- release 2, STBR

Revision 1.24  2002/08/31 15:48:54  jojoro
- ver 0.4pre16
- patch2 is no longer needed

Revision 1.23  2002/08/29 12:54:22  grzegol
- updated polish translation (Patch2)

Revision 1.22  2002/08/29 11:33:09  grzegol
- updated to 0.4rpe15
- changed URL and Source0 to new ones

Revision 1.21  2002/08/14 19:44:25  jojoro
- ver 0.4pre14

Revision 1.20  2002/08/07 07:12:07  jojoro
- ver 0.4pre13

Revision 1.19  2002/08/05 12:37:38  qboosh
- --without-x, release 3

Revision 1.18  2002/07/31 15:06:10  grzegol
- merged from DEVEL (updated to 0.4pre7)

Revision 1.17  2002/05/28 09:16:55  gotar
- added pixmap from native links,
- release 2.

Revision 1.16  2002/05/28 09:08:27  gotar
- typo

Revision 1.15  2002/05/21 23:12:59  kloczek
- perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
  		s/^automake -a -c -f/\%\{__automake\}/; \
  		s/^autoconf/\%\{__autoconf\}/"

Revision 1.14  2002/05/21 22:38:33  qboosh
- new %doc

Revision 1.13  2002/05/19 18:32:06  grzegol
- updated to 0.3.2
- cleanups
  STBR

Revision 1.12.2.11  2002/07/31 14:16:55  grzegol
- added converting scripts from contrib to %doc
- rel. 2

Revision 1.12.2.10  2002/07/10 05:52:56  jojoro
- ver 0.4pre12
- gzip-http patch is no longer needed (i think so)

Revision 1.12.2.9  2002/07/06 07:48:55  jojoro
- version 0.4pre11
- please update Patch2!!!

Revision 1.12.2.8  2002/07/04 12:05:09  grzegol
- updated to 0.4pre10
- lua scripts are now in %docdir
- cosmetics

Revision 1.12.2.7  2002/05/28 18:21:46  grzegol
- fixed img patch (now image file name is between brackets)
- new autoconf/automake macros
- rel. 1.4

Revision 1.12.2.6  2002/05/28 15:26:33  grzegol
- added img patch (display image name instead of [IMG] when there is no
  "alt" text)
- added icon (from links)
- rel. 1.3

Revision 1.12.2.5  2002/05/25 21:42:25  qboosh
- new %doc

Revision 1.12.2.4  2002/05/17 19:19:35  grzegol
- fixed gzip-http patch (fix by Witold Filypczyk)
- rel 1.2

Revision 1.12.2.3  2002/05/16 20:59:47  grzegol
- noreplace flag is back for elinks-hooks.lua config file
- added gzip-http patch by Witold Filipczyk (need test!)
- rel 1.1

Revision 1.12.2.2  2002/05/15 10:59:28  grzegol
- added hooks-fix patch (fixes paths in elinks-hooks.lua)
- s/elinks-bm.lua/bm.lua/ in %{_datadir}/elinks
- added BR: bzip2-devel and BR: zlib-devel
- cleanups

Revision 1.12.2.1  2002/05/14 19:49:06  jojoro
- updated to 0.4pre7

Revision 1.12  2002/05/01 11:56:09  grzegol
- fixed URL and Source0

Revision 1.11  2002/04/25 16:14:55  arturs
- fixed a small typo

Revision 1.10  2002/03/24 23:28:15  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.9  2002/03/04 20:08:53  grzegol
- updated to 0.3.0
- added noreplace flag for /etc/elinks-hooks.lua file
  STBR

Revision 1.8  2002/02/23 01:58:10  kloczek
- adapterized.

Revision 1.7  2002/02/22 23:28:49  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.6  2002/02/12 19:53:27  grzegol
- updated to 0.2.3
- added BR: lua-devel
- added elinks-configure.patch (now elinks builds with lua)
- added elinks-lua-config-file.patch (read config from /etc/elinks-hooks.lua)
- added default lua config file (Source3)
- added better bookmarking system (Source2) (default off - edit
  elinks-hooks.lua file)
  STBR

Revision 1.5  2002/02/03 19:58:52  kloczek
- release 2.

Revision 1.4  2002/02/02 17:50:33  grzegol
- updated to 0.2.2
- STBR

Revision 1.3  2002/01/18 02:12:48  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.2  2002/01/08 08:52:30  qboosh
- typo

Revision 1.1  2002/01/07 21:40:44  misiek
- initial pld release
